<?php


/**
 * This class adds structure of 'katao_node_supplier' table to 'propel' DatabaseMap object.
 *
 *
 *
 * These statically-built map classes are used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    lib.model.map
 */
class KataoNodeSupplierMapBuilder {

	/**
	 * The (dot-path) name of this class
	 */
	const CLASS_NAME = 'lib.model.map.KataoNodeSupplierMapBuilder';

	/**
	 * The database map.
	 */
	private $dbMap;

	/**
	 * Tells us if this DatabaseMapBuilder is built so that we
	 * don't have to re-build it every time.
	 *
	 * @return     boolean true if this DatabaseMapBuilder is built, false otherwise.
	 */
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	/**
	 * Gets the databasemap this map builder built.
	 *
	 * @return     the databasemap
	 */
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	/**
	 * The doBuild() method builds the DatabaseMap
	 *
	 * @return     void
	 * @throws     PropelException
	 */
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('katao_node_supplier');
		$tMap->setPhpName('KataoNodeSupplier');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addForeignKey('KATAO_NODE_ID', 'KataoNodeId', 'int', CreoleTypes::INTEGER, 'katao_node', 'ID', true, null);

		$tMap->addForeignKey('KATAO_PERIOD_ID', 'KataoPeriodId', 'int', CreoleTypes::INTEGER, 'katao_period', 'ID', true, null);

		$tMap->addForeignKey('KATAO_SUPPLIER_ID', 'KataoSupplierId', 'int', CreoleTypes::INTEGER, 'katao_supplier', 'ID', true, null);

		$tMap->addColumn('INCLUDE_ALL_PRODUCTS', 'IncludeAllProducts', 'int', CreoleTypes::INTEGER, true, 1);

	} // doBuild()

} // KataoNodeSupplierMapBuilder
